%define upstream_name    X11-GUITest
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Provides GUI testing/interaction facilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: x11-proto-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xt)
%description
This Perl package is intended to facilitate the testing of GUI applications
by means of user emulation. It can be used to test/interact with GUI
applications; which have been built upon the X library or toolkits (i.e.,
GTK+, Xt, Qt, Motif, etc.) that "wrap" the X library's functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
if [ x${DISPLAY} != 'x' ]; then 
    make test
else
    exit 0
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Nov 30 2023 tv <tv> 0.280.0-18.mga10
+ Revision: 2011578
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.280.0-17.mga9
+ Revision: 1862615
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 0.280.0-16.mga9
+ Revision: 1834774
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.280.0-15.mga9
+ Revision: 1727319
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.280.0-14.mga8
+ Revision: 1595307
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.280.0-13.mga8
+ Revision: 1530164
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.280.0-12.mga8
+ Revision: 1433950
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.280.0-11.mga7
+ Revision: 1294030
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.280.0-10.mga7
+ Revision: 1249931
- Rebuild for perl 5.28

* Sat Jul 22 2017 neoclust <neoclust> 0.280.0-9.mga7
+ Revision: 1126629
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.280.0-8.mga6
+ Revision: 1035883
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.280.0-7.mga6
+ Revision: 958209
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.280.0-6.mga6
+ Revision: 845534
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.280.0-5.mga6
+ Revision: 841195
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 744399
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-3.mga5
+ Revision: 686891
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.280.0-2.mga5
+ Revision: 631878
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 0.280.0-1.mga5
+ Revision: 616401
- update to 0.28

* Sat Oct 19 2013 umeabot <umeabot> 0.270.0-2.mga4
+ Revision: 527701
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.270.0-1.mga4
+ Revision: 441788
- update to 0.27

* Wed May 29 2013 jquelin <jquelin> 0.250.0-4.mga4
+ Revision: 431012
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-3.mga3
+ Revision: 374912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.250.0-2.mga3
+ Revision: 251329
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 107547
- update to 0.25

* Sun Jun 12 2011 sander85 <sander85> 0.220.0-2.mga2
+ Revision: 105149
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 31466
- mageia rebuild
- imported package perl-X11-GUITest

